Organization
Users and User Groups
Permissions
Data Source
Workspaces
Logical Data Model
Analytical Objects
Reporting
Export & Automations
AI Lake
    AI Lake - Databases
    AI Lake - Pipe Tables
    AI Lake - Services & Operations
      (BETA) Get Long Running Operation detailsget(BETA) List AI Lake servicesget(BETA) Run an AI Lake services commandpost(BETA) Get AI Lake service statusget
Other
Schemas
powered by Zudoku
OpenAPI definition

AI Lake - Services & Operations

Endpoint:/

(BETA) Get Long Running Operation details

GET
/api/v1/ailake/operations/{operationId}

(BETA) Retrieves details of a Long Running Operation specified by the operation-id.

(BETA) Get Long Running Operation details › path Parameters

  • operationIdstring · required

    Operation ID

(BETA) Get Long Running Operation details › Responses

AI Lake Long Running Operation details successfully retrieved

oneOf
Exactly one variant must match.

Decision Table

VariantMatching Criteria
type = object · requires: error, id, kind +1 more
type = object · requires: id, kind, status
type = object · requires: id, kind, status
Properties for Variant 1:

Operation that has failed

  • idstring · required

    Id of the operation

  • kindstring · enum · required

    Type of the long-running operation.

    • provision-database — Provisioning of an AI Lake database.
    • deprovision-database — Deprovisioning (deletion) of an AI Lake database.
    • run-service-command — Running a command in a particular AI Lake service.
    • create-pipe-table — Creating a pipe table backed by an S3 data source.
    • delete-pipe-table — Deleting a pipe table.
    Enum values:
    provision-database
    deprovision-database
    run-service-command
    create-pipe-table
    delete-pipe-table
  • statusstring · required
  • errorobject · required

    Error information for a failed operation

GET /api/v1/ailake/operations/{operationId}

(BETA) List AI Lake services

GET
/api/v1/ailake/services

(BETA) Lists services configured for the organization's AI Lake. Returns only non-sensitive fields (id, name). Supports paging via size and offset query parameters. Use metaInclude=page to get total count.

(BETA) List AI Lake services › query Parameters

  • sizeinteger · int32
    Default: 50
  • offsetinteger · int32
    Default: 0
  • metaIncludestring[] · unique

(BETA) List AI Lake services › Responses

AI Lake services successfully retrieved

  • servicesobject[] · required

    List of services

  • totalCountinteger · int32

    Total count of items (only set when metaInclude=page)

GET /api/v1/ailake/services

(BETA) Run an AI Lake services command

POST
/api/v1/ailake/services/{serviceId}/commands/{commandName}/run

(BETA) Runs a specific AI Lake service command.

(BETA) Run an AI Lake services command › path Parameters

  • serviceIdstring · required
  • commandNamestring · required

(BETA) Run an AI Lake services command › Headers

  • operation-idstring

(BETA) Run an AI Lake services command › Request Body

  • contextobject | null

    The context to pass to the command

  • payloadobject | null · maxLength: 15000

    Free-form JSON object

    Example: {}

(BETA) Run an AI Lake services command › Responses

Accepted

POST /api/v1/ailake/services/{serviceId}/commands/{commandName}/run

(BETA) Get AI Lake service status

GET
/api/v1/ailake/services/{serviceId}/status

(BETA) Returns the status of a service in the organization's AI Lake. The status is controller-specific (e.g., available commands, readiness).

(BETA) Get AI Lake service status › path Parameters

  • serviceIdstring · required

(BETA) Get AI Lake service status › Responses

AI Lake service status successfully retrieved

  • statusobject | null · maxLength: 15000 · required

    Free-form JSON object

    Example: {}
GET /api/v1/ailake/services/{serviceId}/status

AI Lake - Pipe TablesOther